Subject: Re: bug#41343: tab-bar-mode: Close tab on mouse-2 click

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Aug 2021 14:56:26 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 11 Aug 2021 10:01:53 +0300
> 
> >> So now I've completely redesigned the event processing on the tab bar.
> >
> > Thanks, this looks much, much better to me.
> 
> Could you please help to check if everything is correct
> on the Windows part (unfortunately, I don't have Windows).
> The changes in w32inevt.c and w32term.c just mirror the changes
> in xdisp.c and xterm.c, but I'm sure I might have made a typo.

I will, if you tell me what to try after applying the patch.

> There is the need to apply an additional patch below,
> because the tab symbol is carried by the event in its
> OBJECT slot, but some functions expect that the OBJECT
> slot should contain only (STRING . STRING-POS)

That expectation is according to the documented behavior, so it is
correct.  I don't quite understand why you need to break the contract
here.  Can you elaborate where do the deviant values come and why they
must have a different value form?